Re: Continuing my saga with Vocalizer voices with latest NVDA

 

Hi,

This trick was employed so an add-on author does not have to worry about setting this flag every time NVDA’s version changes.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Laughing Thunder
Sent: Sunday, February 16, 2020 10:25 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Continuing my saga with Vocalizer voices with latest NVDA

 

I looked at the manifest for the voices I have installed, and it says that the last tested NVDA version is 2099.4, which does not exist. So, I'd assume these haven't been tested to work with the latest version as of yet.

On 2/15/2020 1:24 PM, Gerardo Corripio wrote:

I sent an Email previously about my continuing saga with the Tiflotecnia Vocalizer voices; sorry for the bother on this subject... Here’s my log,hoping I can finally know what’s going on with the Vocalizer voices not wanting to cooperate on my system?

INFO - __main__ (13:18:39.261) - MainThread (6168):

Starting NVDA version 2019.3.1

INFO - core.main (13:18:39.545) - MainThread (6168):

Config dir: C:\Users\gerac\AppData\Roaming\nvda

INFO - config.ConfigManager._loadConfig (13:18:39.546) - MainThread (6168):

Loading config: C:\Users\gerac\AppData\Roaming\nvda\nvda.ini

INFO - core.main (13:18:39.748) - MainThread (6168):

Using Windows version 10.0.18363 workstation

INFO - core.main (13:18:39.749) - MainThread (6168):

Using Python version 3.7.5 (tags/v3.7.5:5c02a39a0b, Oct 14 2019, 23:09:19) [MSC v.1916 32 bit (Intel)]

INFO - core.main (13:18:39.749) - MainThread (6168):

Using comtypes version 1.1.7

INFO - core.main (13:18:39.749) - MainThread (6168):

Using configobj version 5.1.0 with validate version 1.0.1

WARNING - addonHandler._report_manifest_errors (13:18:39.839) - MainThread (6168):

Error loading manifest:

{'name': True, 'summary': VdtTypeError('the value "[\'Nuance Vocalizer Expressive - english Compact Voices (Australia\', \'British\', \'Irish\', \'Scotish\', \'South African and United States)\']" is of the wrong type.'), 'description': True, 'author': True, 'version': True, 'minimumNVDAVersion': True, 'lastTestedNVDAVersion': True, 'url': True, 'docFileName': True}

ERROR - addonHandler._getAvailableAddonsFromPath (13:18:39.839) - MainThread (6168):

Error loading Addon from path: C:\Users\gerac\AppData\Roaming\nvda\addons\vocalizer-expressive-voice-english Compact

Traceback (most recent call last):

  File "addonHandler\__init__.pyc", line 195, in _getAvailableAddonsFromPath

  File "addonHandler\__init__.pyc", line 297, in __init__

addonHandler.AddonError: Manifest file has errors.

WARNING - addonHandler._report_manifest_errors (13:18:39.846) - MainThread (6168):

Error loading manifest:

{'name': True, 'summary': VdtTypeError('the value "[\'Nuance Vocalizer Expressive - Portuguese and Spanish Compact Voices (Argentina\', \'Basque\', \'Brazil\', \'Cataluna\', \'Colombia\', \'Galician\', \'Mexico\', \'Portugal and Spain)\']" is of the wrong type.'), 'description': True, 'author': True, 'version': True, 'minimumNVDAVersion': True, 'lastTestedNVDAVersion': True, 'url': True, 'docFileName': True}

ERROR - addonHandler._getAvailableAddonsFromPath (13:18:39.846) - MainThread (6168):

Error loading Addon from path: C:\Users\gerac\AppData\Roaming\nvda\addons\vocalizer-expressive-voice-portugueseAndSpanish Compact Voices

Traceback (most recent call last):

  File "addonHandler\__init__.pyc", line 195, in _getAvailableAddonsFromPath

  File "addonHandler\__init__.pyc", line 297, in __init__

addonHandler.AddonError: Manifest file has errors.

INFO - synthDriverHandler.setSynth (13:18:40.671) - MainThread (6168):

Loaded synthDriver ibmeci

INFO - core.main (13:18:40.671) - MainThread (6168):

Using wx version 4.0.3 msw (phoenix) wxWidgets 3.0.5 with six version 1.12.0

INFO - brailleInput.initialize (13:18:40.673) - MainThread (6168):

Braille input initialized

INFO - braille.initialize (13:18:40.676) - MainThread (6168):

Using liblouis version 3.10.0

INFO - braille.initialize (13:18:40.682) - MainThread (6168):

Using pySerial version 3.4

INFO - braille.BrailleHandler.setDisplayByName (13:18:40.690) - MainThread (6168):

Loaded braille display driver noBraille, current display has 0 cells.

INFO - core.main (13:18:41.049) - MainThread (6168):

Java Access Bridge support initialized

INFO - _UIAHandler.UIAHandler.MTAThreadFunc (13:18:41.074) - _UIAHandler.UIAHandler.MTAThread (8868):

UIAutomation: IUIAutomation6

INFO - core.main (13:18:44.196) - MainThread (6168):

NVDA initialized

WARNING - external:synthDrivers.vocalizer_expressive.storage._loadLicenseData (13:19:10.401) - MainThread (6168):

Couldn't automatically unpickle 'C:\\Users\\gerac\\AppData\\Roaming\\vocalizer-for-nvda\\activation.dat', trying manual method

 

                                                                                              Enviado desde Correo para Windows 10

 


--
Laughingthunder

Join nvda@nvda.groups.io to automatically receive all group messages.